Skip to main content

List invoices

Request

curl -X POST https://api.bitsby.app/invoices/list \
-H "Authorization: Token MSvL2ltaDZdWVjmZURURMVWhqSJLT2NURjhL2Fla1Z1T1IxQTltKs1T3Ay" \
-F "startDate=2000-01-01" \
-F "endDate=2030-01-01" \
-F "offset=0" \
-F "limit=10"

Request parameters

ParameterData typeDescriptionExampleRequired?Default
invoiceIdUUIDInvoice ID in UUID format1c48b092-9878-48f5-b441-07a8a48e7b54no
invoiceUidStringInvoice ID (for the customer)F7ncQviM1N92no
projectIdUUIDProject ID in UUID format1c48b092-9878-48f5-b441-07a8a48e7b54no
startDateStringStart date of invoice creation, in Y-m-d format2000-01-01no
endDateStringEnd date of invoice creation, in Y-m-d format2030-01-01no
statusStringInvoice status. Allowed values: unpaid, canceled, paid, expiredpaidno
offsetIntegerIndex of the first record to return0no0
limitIntegerNumber of records you want to receive50no10

Response example

{
"result": "success",
"data": [
{
"id": "59302b02-d1be-4e10-960f-d6ec24bfcaaf",
"uid": "F7nYgvxM1N92",
"projectId": "9deea1e2-0c08-41a3-bdc2-a34eada3892d",
"createDatetime": "2024-02-29 10:49:56",
"timeToPayDatetime": "2024-02-29 22:49:56",
"commissionFiatUSD": 1,
"amountFiatUSD": 100,
"amountFiat": 100,
"currencyFiat": "USD",
"description": null,
"serviceData": null,
"views": 0,
"status": "canceled"
},
{
"id": "f31c61f6-407f-4999-95cf-56477eff06d4",
"uid": "riUZBnNvd2rX",
"projectId": "9deea1e2-0c08-41a3-bdc2-a34eada3892d",
"createDatetime": "2024-02-27 20:57:23",
"timeToPayDatetime": "2024-02-28 08:57:23",
"commissionFiatUSD": 0.12,
"amountFiatUSD": 12,
"amountFiat": 12,
"currencyFiat": "USD",
"description": null,
"serviceData": "orderId:2444",
"views": 3,
"status": "paid",
"payment": {
"id": "f986ad8d-2298-473d-982a-efbc817b975d",
"amount": 12,
"hash": "f09352627039c088688806821b864895ff237558612d834861621fc026de5f68",
"transactionDatetime": "2024-02-27 21:05:36"
},
"wallet": {
"id": "47aa71e2-07a0-482e-9172-7114d7376ba0",
"name": "usdt-tron",
"blockchain": "tron",
"cryptocurrency": "usdt",
"address": "TKbstUwMzLrfTAGL4erYb7gc7ghmHQ9zG7"
}
}
]
}

Response parameters

ParameterDescription
idInvoice ID in UUID format
uidInvoice ID (for the customer)
projectIdProject ID in UUID format
createDatetimeInvoice creation date and time (UTC)
timeToPayDatetimeDate and time until which the invoice is valid (UTC). The customer must pay the invoice before this time
commissionFiatUSDService fee amount. Calculated from the amountFiatUSD amount
amountFiatUSDThe invoice amount converted to USD. At invoice creation it is calculated from amountFiat at the current exchange rate. At the moment of payment it is overwritten with the amount actually received, converted to USD at the rate at that moment. The fee in commissionFiatUSD is recalculated from it as well
amountFiatThe original invoice amount in fiat currency. Does not change
currencyFiatFiat currency
descriptionThe description set at invoice creation. Shown to the customer
serviceDataThe service data set at invoice creation. Not shown to the customer. Used to identify the invoice and payment in the merchant's store
viewsNumber of payment page views
statusInvoice status
paymentBlock with the payment parameters. Present if the invoice was paid
payment.idPayment ID in UUID format
payment.amountPayment amount in cryptocurrency
payment.hashThe on-chain transaction hash
payment.transactionDatetimeDate and time of the on-chain transaction (UTC)
walletBlock with the parameters of the wallet that received the payment. Present if the invoice was paid
wallet.idWallet ID in UUID format
wallet.nameWallet name
wallet.blockchainThe crypto wallet's blockchain
wallet.cryptocurrencyThe wallet's cryptocurrency
wallet.addressThe crypto wallet's address